> For the complete documentation index, see [llms.txt](https://docs.sealights.io/knowledgebase/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/java-build-tools-plugins/sealights-gradle-plugin-1/command-reference-1.md).

# CI/CD Integration Examples

All examples use the SeaLights Build Scanner CLI:

```bash
java -jar sl-build-scanner.jar -sbt -configfile ./sl-config.json -workspacepath .
```

* **Jenkins:**

```groovy
stage('SeaLights Build') {
    steps {
        sh 'java -jar tools/sl-build-scanner.jar -sbt -configfile sl-config.json -workspacepath $WORKSPACE'
        sh 'sbt sealightsRun'
    }
}
```

* **GitHub Actions:**

```yaml
steps:
  - uses: actions/checkout@v3
  - run: java -jar tools/sl-build-scanner.jar -sbt -configfile sl-config.json -workspacepath $GITHUB_WORKSPACE
  - run: sbt sealightsRun
```

* **GitLab CI:**

```yaml
sealights_build:
  script:
    - java -jar tools/sl-build-scanner.jar -sbt -configfile sl-config.json -workspacepath $CI_PROJECT_DIR
    - sbt sealightsRun
```

### Split Execution Example (Advanced)

In some pipelines, you may want to split scanning and testing into separate steps.

#### Step 1 — Scan Only

```bash
java -jar sl-build-scanner.jar -sbt -configfile ./sl-config.json -executionType scanonly -workspacepath .
```

#### Step 2 — Tests Only

```bash
java -jar sl-build-scanner.jar -sbt -configfile ./sl-config.json -executionType testsonly -workspacepath .
```

{% hint style="info" %}
**Tip**: Ensure the Build Session ID from the scan step is preserved between stages.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/java-build-tools-plugins/sealights-gradle-plugin-1/command-reference-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
